IE MenuExt

  IE4/5 のコンテキストメニューをカスタマイズするためのソフトです。
  IE にはスクリプトの書かれた HTML ファイルをコンテキストメニューから呼び出す機能がありますが、 その管理を容易にするためのソフトです。

【注意】

  このソフトはレジストリの

HKEY_CURRENT_USER\
    Software\
        Microsoft\
            Internet Explorer\
                MenuExt\

に対して操作を行うアプリケーションです。 内部処理に RegEnumKeyEx() を使用しているので、レジストリの操作に制限が設けてある環境では利用できない場合があります。

  また、ご利用の前にはレジストリのバックアップを取ることをお勧めします。

もくじ

  • はじめに
    • アプリケーション情報
    • インストールとアンインストール
  • 使い方
    • 項目の追加
    • 項目の編集
    • 項目の有効／無効の切り換え
    • 項目の削除
    • 項目の移動
    • ファイルに保存する
    • ファイルから読み込む
  • メニューの説明
    • ファイル
    • アイテム
    • 設定
    • ヘルプ
  • 画面の説明
    • ボタンの説明
    • メインダイアログ
    • 編集ダイアログ
    • 一般設定ダイアログ
  • Ｑ＆Ａ
    • Windows2000で並び順が反映されない問題
    • 32個までしか反映されない問題
  • 作者のコメント
    • Version 2.00でのコメント
  • サポート
  • 注意事項
  • 謝辞
  • 更新履歴
Copyright (C) 2000-2001 Uryusoft
最初　前へ　次へ


アプリケーション情報

名称 | IE MenuExt
バージョン | 2.00
動作環境 | 日本語版 Windows 95(?)/98/Me(?)/NT4(?)/2000 (? = 未確認)
ファイル | IEMenuExt.exe IEMenuExt.chm IEMenuExt.txt
開発環境 | 日本語版 Windows 98 Microsoft Visual C++ 6.0(SP5)
開発者 | 小鳥遊 水樹
著作権者 | うりゅそふと、小鳥遊 水樹
サポート | http://www.uryusoft.com/ mizuki@uryusoft.com
ファイルの説明
IEMenuExt.exe | IE MenuExt本体
IEMenuExt.txt | ドキュメントファイル
IEMenuExt.chm | ヘルプファイル ※このファイル
IEMenuExt.ini | IE MenuExt設定ファイル ※自動生成されます
Disable.dat | 無効項目用レジストリファイル ※自動生成されます
Copyright (C) 2000-2001 Uryusoft


インストールとアンインストール

インストール

  特別な作業は必要ありません。
  関連するファイルを任意のディレクトリに置いてください。

■関連ファイル

  • [必須] IEMenuExt.exe
  • [任意] IEMenuExt.txt
  • [任意] IEMenuExt.chm

アンインストール

  関連する全てのファイルを削除します。
  レジストリには設定を書き込んでいません。

■関連ファイル

  • IEMenuExt.exe
  • IEMenuExt.txt
  • IEMenuExt.chm
  • IEMenuExt.ini
  • Disable.dat

※ファイルの説明については アプリケーション情報 をご覧下さい。


使い方

  使ってみれば大体分かると思います。
  なお、設定はブラウザを次に立ち上げた時から反映されます。

  • 項目の追加
  • 項目の編集
  • 項目の有効／無効の切り換え
  • 項目の削除
  • 項目の移動
  • ファイルに保存する
  • ファイルから読み込む


項目の追加

  新しい項目を追加するにはメニューの[アイテム]から[追加]を選ぶか、 ダイアログ上の[追加]ボタンを押します。 すると項目の編集ダイアログが開くので、新しい項目の内容を入力して[OK]を押します。

  なお、既存の項目名と重複する項目は追加できません。


項目の編集

  項目の内容を編集するには、編集したい項目を選択してメニューの[アイテム]から[編集]を選ぶか、 ダイアログ上の[編集]ボタンを押します（複数項目を一括して編集することはできません）。 すると項目の編集ダイアログが開くので、項目の内容を入力して[OK]を押します。

  なお、他の項目名と重複する項目名にはできません。


項目の有効／無効の切り換え

  項目を有効にするか無効にするか切り替えることができます。
  項目のチェックボックスにチェックを入れると有効になり、チェックを外すと無効になります。

■一括して切り替える

  メニューの[アイテム]から一括して切り替えることができます。

  • [選択項目を有効にする]
  • [選択項目を無効にする]
  • [選択項目の有効／無効を反転]


項目の削除

  項目を削除するには、削除したい項目を選択してメニューの[アイテム]から[削除]を選ぶか、 ダイアログ上の[削除]ボタンを押します。
  複数の項目を選択することで一括して削除することもできます。

  Shiftキーを押しながら削除すると確認ダイアログが出ません。


項目の移動

  項目を移動するには、移動したい項目を選択してメニューの[アイテム]から[上へ移動]や[下へ移動]を選ぶか、 ダイアログ上の[↑]ボタンや[↓]を押します。 すると項目がひとつ上または下に移動します。

■マウスホイールによる移動

  Ctrlキーを押しながらマウスのホイールを転がすことでも移動することができます。

■ソート

  リストのヘッダ部分をクリックするとソートすることができます。
  この時、Ctrlキーをクリックしながらソートすると32個の範囲内でソートすることができます。
  同じヘッダを続けてクリックすると昇順と降順が切り替わります。

  有効／無効でソートするにはメニューの[アイテム]から[有効／無効でソート]を選択します。

■関連項目

  • Windows2000で並び順が反映されない問題
  • 32個までしか反映されない問題


ファイルに保存する

  現在の項目リストの内容をファイルに保存しておくことができます。

■全ての項目を保存する

  メニューの[ファイル]にある[全項目を保存]を選ぶと ファイルダイアログが開くので、保存したいファイル名を指定すると全ての項目が保存されます。

■任意の項目を保存する

  任意の項目（複数可）を選択してメニューの[ファイル]にある[選択項目を保存]を選ぶか、 ダイアログ上の[保存]ボタンを押すとファイルダイアログが開くので、 保存したいファイル名を指定すると選択された項目が保存されます。

■ファイル形式

  ファイル形式には次の２つがあります。
  保存時にファイルダイアログの[ファイルの種類]で選択できます。

▼CSVファイル

  CSV(Comma Separated Value)で保存します。Excelなどで読み書きすることができます。
  この形式では項目の有効／無効情報も保存されます。

▼レジストリファイル

  レジストリファイルで保存します。レジストリエディタに読み込ませることができます。
  この形式では項目の有効／無効情報は保存されません。

※現在のところWindows2000のUnicodeファイルでは保存できません。


ファイルから読み込む

  ファイルに保存しておいた項目リストを読み込むことができます。

■メニューまたはボタン

  メニューの[ファイル]にある[読み込み]を選ぶか、 ダイアログ上の[読込]ボタンを押すとファイルダイアログが開くので、 読み込みたいファイル名を指定すると、そのファイルの内容が読み込まれます。

■ドラッグ＆ドロップ

  読み込みたいファイルをドラッグ＆ドロップすると、そのファイルの内容が読み込まれます。

■ファイル形式

  読み込めるファイルは[ファイルに保存する]で保存したファイルのみです。 詳細はそちらをご覧下さい。


メニューの説明

  メニューの各項目の説明です。

  • ファイル
  • アイテム
  • 設定
  • ヘルプ

※[アイテム]メニューはリスト上で右クリックすることでも表示されます。


ファイル - メニュー

  ファイルとアプリケーションに関するメニューです。

■読み込む

  項目の保存されたファイルを読み込みます。
  ＞ファイルから読み込む

■選択項目を保存

  選択項目をファイルに保存します。
  ＞ファイルに保存する

■全項目を保存

  全ての項目をファイルに保存します。
  ＞ファイルに保存する

■レジストリを更新

  内容に変更があれば更新しますが、終了しません。
  [Update]ボタンと同じ動作です。

■更新せずに終了

  更新せずに終了します。
  [Cancel]ボタンと同じ動作です。

■終了

  内容に変更があれば更新して終了します。
  [OK]ボタンと同じ動作です。


アイテム - メニュー

  項目に関するメニューです。

■追加

  新しく項目を追加します。
  ＞項目の追加

■編集

  選択項目の内容を編集します。
  ＞項目の編集

■削除

  選択項目を削除します。
  ＞項目の削除

■選択項目を有効にする

  選択項目を全て有効にします。一括して変更したい時に便利です。
  ＞項目の有効／無効の切り換え

■選択項目を無効にする

  選択項目を全て無効にします。一括して変更したい時に便利です。
  ＞項目の有効／無効の切り換え

■選択項目の有効／無効を反転

  選択項目の全ての有効／無効を反転します。
  ＞項目の有効／無効の切り換え

■有効／無効でソート

  有効／無効をキーとしてソートします。
  ＞項目の移動

■上へ移動

  選択項目をひとつ上へ移動します。
  ＞項目の移動

■下へ移動

  選択項目をひとつ下へ移動します。
  ＞項目の移動

■全て選択

  全ての項目を選択状態にします。


設定 - メニュー

  アプリケーションの設定に関するメニューです。

■一般設定

  設定ダイアログを開きます。


ヘルプ - メニュー

  アプリケーションのヘルプ及び情報に関するメニューです。

■ヘルプ

  ヘルプファイル（このファイル）を開きます。

■バージョン情報

  バージョン情報ダイアログを表示します。


画面の説明

  アプリケーションの各ウィンドウの説明です。

  • ボタンの説明
  • メインダイアログ
  • 編集ダイアログ
  • 一般設定ダイアログ


ボタンの説明

  メインダイアログ上の各ボタンの説明です。

■↑

  選択項目をひとつ上へ移動します。
  ＞項目の移動

■↓

  選択項目をひとつ下へ移動します。
  ＞項目の移動

■追加

  新しく項目を追加します。
  ＞項目の追加

■編集

  選択項目の内容を編集します。
  ＞項目の編集

■削除

  選択項目を削除します。
  ＞項目の削除

■保存

  選択項目をファイルに保存します。
  ＞ファイルに保存する

■読込

  項目の保存されたファイルを読み込みます。
  ＞ファイルから読み込む

■OK

  内容に変更があれば更新して終了します。

■Cancel

  更新せずに終了します。

■Update

  内容に変更があれば更新しますが、終了しません。


メインダイアログ

  メインダイアログです。
  メニュー、項目リスト、ボタン群から構成されています。

■項目リスト

  ヘッダ部分をドラッグすると要素の順番を入れ替えることができます。
  ヘッダ部分をクリックすると項目をソートすることができます＞項目の移動

  IEでは現在のところ32個までしか項目が読み込まれないようです。 そこで項目リストは（有効項目で数えて）33個目以降の項目に赤い斜線が掛かるようになっています。 これにより視覚的に有効範囲が分かるようになります。
  設定により32個の範囲内であっても無効項目には斜線を掛けることもできます。＞一般設定ダイアログ

▼名前

  項目の名前を表します。
  チェックボックスは項目が有効であるか無効であるかを表します。

▼Contexts

  表示方法の設定を表します。
  表記は以下の通りです。

常 | 通常時
絵 | 画像上
コ | コントロール上
表 | テーブル上
選 | テキスト選択時
リ | リンク上
？ | Unknown

▼Flags

  表示方法の設定のうち、[ダイアログを表示する]を表します。
  0なら無効、1なら有効です。

▼ファイル

  項目に対するファイルを表します。

■関連項目

  • メニューの説明
  • ボタンの説明
  • 32個までしか反映されない問題


編集ダイアログ

  項目の内容を編集するダイアログです。

■名前

  項目の名前です。
  64文字までで、他の項目と同じ名前は設定できません（大小文字の区別無し）。
  &記号の次の文字は下線付きになります。&記号を表示したい場合は２つ続けます。

■ファイル

  項目を選んだ時に呼び出すファイルをフルパスで指定します（256文字まで）。
  http: や file: 等を指定することもできるようです。

■表示方法

  どの条件の時に項目をメニューに表示するかを指定します。

通常時
通常の状態の時に表示されます。
画像上
画像上で表示されます。
コントロール上
コントロール上で表示されます。
テーブル上
表（TABLE）上で表示されます。
テキスト選択時
選択されたテキスト上で表示されます。
リンク上
リンク上で表示されます。
Unknown
※よく分かりません。
ダイアログを表示する
実行時にダイアログが表示されます。

※表示方法について詳しいことはMSDN LibraryのJ041249をご覧ください。
http://www.microsoft.com/JAPAN/support/kb/articles/J041/2/49.htm


一般設定ダイアログ

  アプリケーションの設定を行うダイアログです。

■無効アイテムも斜線表示にする

  無効項目にも斜線が掛かるようになります。
  通常は32個の範囲外の項目にのみ斜線が掛かります。

■無効アイテムは下に移動する

  無効アイテムは自動的にリストの末尾に移動するようになります。

■無効アイテムの位置を保存しない

  次回起動時に無効アイテムはリストの末尾に復元されるようになります。

おまけ

  IEMenuExt.iniを書き換えると次のようなことが出来ます。

■常に手前に表示

  (ユーザ)/MainセクションのTopMostを1にします。

[(ユーザ)/Main]
TopMost=1

■リストのグリッド表示

  (ユーザ)/MainセクションのGridを1にします。

[(ユーザ)/Main]
Grid=1


Ｑ＆Ａ

  1. 「レジストリの読み込みが正常に行えませんでした」と表示される。
  2. 設定が反映されません。
  3. 並び順が反映されません。
  4. 手動で無効アイテムを復元したいのですが。

[Q1] 「レジストリの読み込みが正常に行えませんでした」と表示される。

  文字通りです。
  特にNT系の場合はレジストリにアクセスできる環境下で使用して下さい。

[Q2] 設定が反映されません。

  ブラウザが起動中の場合は、一旦閉じて起動し直して下さい。
  それでも変化が見られない時は、設定が正常に更新されていない可能性があります。 レジストリエディタで以下のキーに設定通りのサブキーが作成されているかどうか確認して下さい。

HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\MenuExt

[Q3] 並び順が反映されません。

  OSがWindows2000の場合は「Windows2000で並び順が反映されない問題」をご覧下さい。
  それ以外の場合は作者にも分かりません。

[Q4] 手動で無効アイテムを復元したいのですが。

  Disable.datをDisable.regに変更して、エクスプローラでダブルクリックするか、 レジストリエディタで[レジストリ ファイルの取り込み]を行います。


Windows2000で並び順が反映されない問題

  Win2000では項目の並び順が反映されません。これはIE MenuExt側の問題ではなくIEの問題です。
  IE MenuExtで並べ替えが出来るというのは、Win9xにおいてIEがレジストリの書き込み日時順に項目を追加していく、 という動作を利用したものです。 これはIEがわざわざ日時順にソートしているわけではなく、 レジストリを列挙するAPI(OSの機能)がそのような仕様になっていて、 IEはその順番に追加しているというだけです。
  ところがWin2000ではこのAPIはアルファベット順で列挙するようになりました。 よってIEはその順番に従っているだけなのでアルファベット順に並んでしまうわけです。

  この問題に関してIE MenuExt側は対処することが出来ません。 項目名の先頭に数字を振るなど工夫してください。


32個までしか反映されない問題

  どんなに項目を追加してもIEには32個までしか追加されません。
  これはIE側の仕様です。IE MenuExtのバグではありません(^^;


作者のコメント

  項目を入れ替えたくて作りました。ただそれだけです(^^;
  あ、あとReGetやYunaToysのアクセラレータの変更とか。

  • Version 2.00でのコメント


Version 2.00でのコメント

  Version 2.00でIE MenuExtは大きく変わりました。というか全面的に作り直してます。 これは機能拡張するにあたって、改良するよりも作り直した方が良いという判断によるものです。

■要望の反映

  最も多かった要望は「項目を複数選択出来るようにして欲しい」というものでした。
  これは私自身使っていて感じていたことだったんですが、 v1.xのインターフェイスでは上手く実現できず、先延ばしになっていました。 それが再設計することでようやく実現できました。

  複数選択以外にも多くの機能が追加されています。
  これらの機能のほとんどは、v2.00b1を出した時からずっと付き合って頂いている、あるユーザさんによるものです。 私だけではここまで色々な機能は思いつかなかったでしょう。 今回ほど「オンラインソフトは作者とユーザが共に作り上げていくもの」ということを実感したことはありませんでした。

■HTML Help

  v2.00になってだいぶ複雑になったのでヘルプを作りました。
  ヘルプ作りというのはソフトを作り終えて疲れ切った作者にはこの上なく面倒なものなんですが、

「ヘルプがあるかどうか、またヘルプが分かりやすいかどうかもオンラインソフトの評価に繋がる」

とか言われちゃ作らないわけにはいかないでしょう(笑)


サポート

  何らかの不具合が起こる場合は、下記のアドレスまでご連絡下さい。
  その際、デバッグ用レポートも併せて連絡頂ければ幸いです。

■デバッグ用レポート

  ソフトのバージョン情報ダイアログを開き、アイコンをクリックします。 するとシステム情報が表示されるので、[レポート作成]を押します。
  無事作成された場合、レポートファイルはソフトの実行ファイルと同じディレクトリに拡張子.rptで作成されます(テキストファイルです)。

  メールにて連絡いただく場合は、添付ファイルではなく本文にコピーして下さって構いません。

■問い合わせ先

うりゅそふと
http://www.uryusoft.com/
メールアドレス
mizuki@uryusoft.com


注意事項

  • 本ソフトウェアはフリーウェアです。PDSでもなければGPLでもありません。
    著作権はうりゅそふと及び小鳥遊 水樹が保有しています。
  • このプログラムの使用によって生じた損害等については、 うりゅそふと及び小鳥遊 水樹は何も保証する義務を負わないこととさせて頂きます。 導入の際は各自の責任において行ってください。
  • 許可無しに再配布や転載を行うことは出来ません。
    但し、雑誌への収録及びライブラリ系サイトでの紹介／転載は事後承諾でも構いません。
  • 収録媒体のコストを除き、転載／再配布によって直接利益を得ることを禁じます(ソフトウェア自体の販売)。
  • 転載／再配布時に書庫ファイル及び格納ファイルの内容を改変することを禁じます。
    但し、利便性を高めるための状態変化(展開、書庫形式変更、再圧縮など)は構いません。


謝辞

  v2.00の開発にあたり新機能の意見とベータ版の動作テストにお付き合い下さったm-sugiさんに心より感謝いたします。
  長い期間お付き合い頂いてなければ、ここまで成長することはなかったでしょう。

  また、影ながらいつもうりゅそふとを見守ってくれているふりかけさん、 掲示板やメールにて意見・バグ報告を下さった皆さんにも心より感謝いたします。

  IE MenuExtは以上の方々の御力添えによって作り上げられています。
  今後もお気付きの点などありましたら、ご連絡下されば幸いです。


更新履歴

2001/04/05 Version 2.00

  • HTMLヘルプファイルを添付した。
  • メニューに「全項目を保存」を追加した。
  • 最大化状態で終了した場合、最大化状態で起動するようにした。
  • ショートカットファイルの「実行時の大きさ」が無視されていたのを修正。

2001/04/03 Version 2.00 beta7

  • Update ボタンを追加した。
  • CSV での読み込み／保存に対応した(有効／無効も保持)。
  • 「無効アイテムは末尾に移動する」オプション有効時の色々なバグを修正。
  • OK → いいえ、で Disable.dat が更新されていた不具合を修正。

2001/03/30 Version 2.00 beta6

  • Disable.regをDisable.datに変更した。
  • 32個の範囲内でソートできるようにした(Ctrlを押しながらクリック)。
  • メニューバーとコンテキストメニューを追加。
  • 有効／無効に関する操作をいくつか追加。
  • 無効アイテムにも赤斜線を表示するオプションを追加。
  • 無効アイテムは末尾に移動するオプションを追加。
  • 無効アイテムの位置を保存しないオプションを追加。
  • 重複アイテムは追加できないように修正。
  • キャンセルしても無効アイテム情報が更新されていた不具合を修正。
  • アイテムの移動で有効／無効の情報が狂うことがあった不具合を修正。
  • 起動するといきなり不正処理で落ちる不具合を修正……したつもり。

2001/03/24 Version 2.00 beta5

  • beta3以前からの移行の際に無効アイテムが読み込まれない不具合を修正。
  • 無効アイテムの位置情報がおかしい(または無い)場合でも末尾追加でとにかく読み込むように強化した。
  • リストのソートを行うと無効のはずのアイテムが有効としてレジストリに書き込まれる場合があった不具合を修正。

2001/03/23 Version 2.00 beta4

  • カラムを入れ替えられるようにした。
  • ウィンドウサイズを変更できるようにした。
  • 削除時に確認ダイアログを出すようにした(Shift押下で直接削除)。
  • アプリケーションの状態をINIファイルに保存するようにした。
  • リストをソートできるようにした。
  • 有効範囲外のアイテムは赤で斜線を入れるようにした。
  • 無効アイテムの位置を保存するようにした。
  • Contextsの表示を改善した。
  • レジストリファイルの書き出しがLFになっていたのをCR+LFに直した。
  • アイテムのない部分をダブルクリックしても編集ダイアログが出てしまっていたのを修正。

2001/03/20 Version 2.00 beta3

  • 新規追加アイテムはデフォルトでチェックが付くようにした。
  • レジストリファイルをDnDでインポートできるようにした。
  • ContextsとFlagsのリスト上での表示を変更した。
  • 32個以上アイテムがあるときに追加や読込をすると警告を出すようにした。
  • 開発環境がVS6SP5になった。

2001/03/10 Version 2.00 beta2

  • レジストリの書き込みにミスがあったのを修正。
  • タブオーダーがおかしかったのを修正(^^;
  • ホイールでアイテム移動できるようにした。
  • レジストリファイルをインポートできるようにした。
  • アイテムを削除せずに無効化できるようにした。

2001/03/06 Version 2.00 beta1

  • 全面的に作り直した。
  • アイテムの複数選択が可能になった。

2000/02/03 Version 1.01

  • MenuExtキーが存在しないとエラーが出ていたのを修正。

2000/01/22 Version 1.00

  • 初公開。
Copyright (C) 2000-2001 Uryusoft
最初　前へ　次へ